﻿namespace CanonSharp.Pascal.SyntaxTree;

public sealed class ProgramBody(BlockNode constantDeclarations, BlockNode variableDeclarations, BlockNode mainBlock) : SyntaxNodeBase
{
    public override SyntaxNodeType NodeType => SyntaxNodeType.ProgramBody;

    public BlockNode ConstantDeclarations => constantDeclarations;

    public BlockNode VariableDeclarations => variableDeclarations;

    public BlockNode MainBlock => mainBlock;
}
